Index: winsup/cygwin/dll_init.h
===================================================================
RCS file: /home/duda/local/var/mirrors/src/winsup/cygwin/dll_init.h,v
retrieving revision 1.4
diff -u -p -2 -r1.4 dll_init.h
--- winsup/cygwin/dll_init.h	2001/09/11 20:01:00	1.4
+++ winsup/cygwin/dll_init.h	2001/11/02 20:14:33
@@ -74,10 +74,4 @@ public:
   void init ();
   void load_after_fork (HANDLE, dll *);
-  dll *istart (dll_type t)
-  {
-    hold_type = t;
-    hold = &start;
-    return inext ();
-  }
   dll *inext ()
   {
@@ -86,4 +80,10 @@ public:
 	break;
     return hold;
+  }
+  dll *istart (dll_type t)
+  {
+    hold_type = t;
+    hold = &start;
+    return inext ();
   }
 };
Index: winsup/cygwin/security.h
===================================================================
RCS file: /home/duda/local/var/mirrors/src/winsup/cygwin/security.h,v
retrieving revision 1.16
diff -u -p -2 -r1.16 security.h
--- winsup/cygwin/security.h	2001/09/07 21:32:05	1.16
+++ winsup/cygwin/security.h	2001/11/02 20:14:33
@@ -40,4 +40,13 @@ class cygsid {
 
 public:
+  inline operator const PSID () { return psid; }
+
+  inline const PSID operator= (cygsid &nsid)
+    { return assign (nsid); }
+  inline const PSID operator= (const PSID nsid)
+    { return assign (nsid); }
+  inline const PSID operator= (const char *nsidstr)
+    { return getfromstr (nsidstr); }
+
   inline cygsid () : psid ((PSID) sbuf) {}
   inline cygsid (const PSID nsid) { *this = nsid; }
@@ -55,11 +64,4 @@ public:
   char *string (char *nsidstr) const;
 
-  inline const PSID operator= (cygsid &nsid)
-    { return assign (nsid); }
-  inline const PSID operator= (const PSID nsid)
-    { return assign (nsid); }
-  inline const PSID operator= (const char *nsidstr)
-    { return getfromstr (nsidstr); }
-
   inline BOOL operator== (const PSID nsid) const
     {
@@ -77,6 +79,4 @@ public:
   inline BOOL operator!= (const char *nsidstr) const
     { return !(*this == nsidstr); }
-
-  inline operator const PSID () { return psid; }
 
   void debug_print (const char *prefix = NULL) const
Index: winsup/cygwin/sigproc.cc
===================================================================
RCS file: /home/duda/local/var/mirrors/src/winsup/cygwin/sigproc.cc,v
retrieving revision 1.98
diff -u -p -2 -r1.98 sigproc.cc
--- winsup/cygwin/sigproc.cc	2001/11/01 21:15:53	1.98
+++ winsup/cygwin/sigproc.cc	2001/11/02 20:14:34
@@ -180,4 +180,27 @@ wait_for_me ()
 }
 
+/* Get the sync_proc_subproc muto to control access to
+ * children, zombie arrays.
+ * Attempt to handle case where process is exiting as we try to grab
+ * the mutex.
+ */
+static BOOL
+get_proc_lock (DWORD what, DWORD val)
+{
+  Static int lastwhat = -1;
+  if (!sync_proc_subproc)
+    return FALSE;
+  if (sync_proc_subproc->acquire (WPSP))
+    {
+      lastwhat = what;
+      return TRUE;
+    }
+  if (!sync_proc_subproc)
+    return FALSE;
+  system_printf ("Couldn't aquire sync_proc_subproc for(%d,%d), %E, last %d",
+		  what, val, lastwhat);
+  return TRUE;
+}
+
 static BOOL __stdcall
 proc_can_be_signalled (_pinfo *p)
@@ -938,27 +961,4 @@ getsem (_pinfo *p, const char *str, int 
     }
   return h;
-}
-
-/* Get the sync_proc_subproc muto to control access to
- * children, zombie arrays.
- * Attempt to handle case where process is exiting as we try to grab
- * the mutex.
- */
-static BOOL
-get_proc_lock (DWORD what, DWORD val)
-{
-  Static int lastwhat = -1;
-  if (!sync_proc_subproc)
-    return FALSE;
-  if (sync_proc_subproc->acquire (WPSP))
-    {
-      lastwhat = what;
-      return TRUE;
-    }
-  if (!sync_proc_subproc)
-    return FALSE;
-  system_printf ("Couldn't aquire sync_proc_subproc for(%d,%d), %E, last %d",
-		  what, val, lastwhat);
-  return TRUE;
 }
 
Index: winsup/cygwin/sigproc.h
===================================================================
RCS file: /home/duda/local/var/mirrors/src/winsup/cygwin/sigproc.h,v
retrieving revision 1.45
diff -u -p -2 -r1.45 sigproc.h
--- winsup/cygwin/sigproc.h	2001/10/31 02:58:38	1.45
+++ winsup/cygwin/sigproc.h	2001/11/02 20:14:34
@@ -74,7 +74,4 @@ public:
       t.get_winapi_lock ();
   }
-
-  sigframe (): st (NULL) {}
-  sigframe (sigthread &t, DWORD ebp = (DWORD) __builtin_frame_address (0)) {init (t, ebp);}
   inline void init (sigthread &t, DWORD ebp = (DWORD) __builtin_frame_address (0))
   {
@@ -84,4 +81,7 @@ public:
       st = NULL;
   }
+
+  sigframe (): st (NULL) {}
+  sigframe (sigthread &t, DWORD ebp = (DWORD) __builtin_frame_address (0)) {init (t, ebp);}
   ~sigframe ()
   {
Index: winsup/cygwin/sync.h
===================================================================
RCS file: /home/duda/local/var/mirrors/src/winsup/cygwin/sync.h,v
retrieving revision 1.14
diff -u -p -2 -r1.14 sync.h
--- winsup/cygwin/sync.h	2001/10/31 02:58:38	1.14
+++ winsup/cygwin/sync.h	2001/11/02 20:14:34
@@ -23,4 +23,9 @@ public:
   class muto *next;
   const char *name;
+
+  muto() {}
+  /* The real constructor. */
+  muto(int inh, const char *name);
+
   void *operator new (size_t, void *p) {return p;}
   void *operator new (size_t) {return ::new muto; }
@@ -28,7 +33,4 @@ public:
 					currently */
 
-  muto() {}
-  /* The real constructor. */
-  muto(int inh, const char *name);
   ~muto ();
   int acquire (DWORD ms = INFINITE) __attribute__ ((regparm(1))); /* Acquire the lock. */
